package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/11/5 下午4:22
 * @desc EnterprisesUnitType...
 */
@Getter
@AllArgsConstructor
public enum EnterprisesUnitType implements BaseEnum<String>, IEnum<String> {

    school("school", "学校"),
    hospital("hospital", "医院"),
    community("community", "社区/小区"),
    bank("bank", "银行"),
    ;

    private final String value;
    private final String label;
}
