package com.changhu.module.assessmentCriteria.pojo.entity;

import java.io.Serial;
import java.io.Serializable;

import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;


/**
 * 考核记录 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class CkAssessmentRecord extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 企事业单位id
     */
    private Long enterprisesUnitId;

    /**
     * 考核项目id
     */
    private Long ckProjectId;

    /**
     * 考核人员签字
     */
    private String assessmentUserSignature;

    /**
     * 被考核单位人员签字
     */
    private String byAssessmentEnterprisesUnitUserSignature;

    /**
     * 考核备注
     */
    private String remark;


}
